// (c) 2004-2005 Electronic Arts Inc.
//

using System;
using System.Collections;
using System.Collections.Generic;
using System.Diagnostics;
using System.IO;
using System.Net;
using System.Net.Sockets;
using System.Windows.Forms;
using System.Reflection;

using Microsoft.Win32;
using EA.GameTalkMessages;

namespace EA.GameTalk
{
	/// <summary>
	/// A manager for all the different type of connections
	/// 
	/// The tool-side does not mirror the runtime side in regards to the ability to adopt GameTalkInstances
	/// </summary>
	public class GameTalkManager : GameTalkInstance
	{
		/// <summary>
		/// Singleton instance.
		/// </summary>
		static private GameTalkManager mInstance;

		/// <summary>
		/// Singleton accessor.
		/// </summary>
		static public GameTalkManager Instance
		{
			get
			{
				if (mInstance != null)
					return mInstance;
				else
				{
					mInstance = new GameTalkManager();
					return mInstance;
				}
			}
		}

		/// <summary>
		/// Constructor.
		/// </summary>
		private GameTalkManager()
		{
		}
	}
}
